=== tests/test/variants/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		variants
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for variants logic
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	# test is actually installing this.
}

# We override universal variant.
variant universal {
	puts "Universal Variant"
}

# We define the utopia variant twice
variant utopia {
	puts "Utopia variant -- 1"
}
variant utopia {
	puts "Utopia variant -- 2"
}

default_variants	+utopia
